.menu_category_cards{
    display:flex;
    flex-wrap:wrap;
}

.menu_category_card{
    width:170px;
    height:170px;
    border-radius:10px;
    border:2px #80726F solid;
    overflow:hidden;
    box-sizing:border-box;
    margin:5px;
    display:flex;
    justify-content:center;
    position:relative;
}

.menu_category_card a{
    text-align:center;
    text-decoration:none;
}
.menu_category_card a img{
    display:block;
    height:100%;
    width:auto;
}

.card_category_name{
    position:absolute;
    box-sizing:border-box;
    overflow:hidden;
    background-color:#80726F;
    opacity: 0.75;
    top:120px;
    left:0px;
    height:50px;
    width:170px;
    float:left;
    z-index:996;
    text-align:center;
}

.menu_category_desc{
    z-index:998;
    color:white;
    margin-top:-35px;
    opacity: 1;
    position:relative;
    box-sizing:border-box;
    overflow:hidden;
    justify-content:center;
}

.bis_page_name a{
    text-decoration:none;
    color:#fff;
}

.menu-items_wrapper{
    background-color:#870D39;
    width:100%;
    height:100%;
    display:flex;
    flex-wrap:wrap;
    padding:5px;
}

.menu-item_card{
    width:200px;
    height:420px;
    background-color:#fff;
    border-radius:7px;
    margin:5px;
    box-sizing:border-box;
}

.menu-item_card .dish_picture{
    width:180px;
    height:180px;
    margin:10px;
    box-sizing:border-box;
    overflow:hidden;
    justify-content:center;
}

.menu-item_card .dish_picture img{
    display:block;
    width:100%;
    height:auto;
}

.dish_markers{
    display:flex;
    width:100%;
}

.dish_marker{
    display:block;
    width:25px;
    
}

.edit_dish{
    display:flex;
    width:100%;
}

.edit_item_link{
    display:flex;
}

.edit_item_link a{
    text-decoration: none;
    color:#554B51;
    text-decoration:underline;
    display:flex;
    position:relative;
    padding-top:2px;
    padding-right:3px;
    margin-right:3px;
    border-radius:5px;
}

.edit_item_link a:hover{
    color:#fff;
    background-color:#80726F;
}

.edit_item_link a p{
    padding-top:5px;
}

.edit_dish img{
    display:block;
    width:25px;
    margin:2px;
}

.dish_name, .dish_description, .dish_size_price, .dish_markers, .edit_dish, .dish_reviews, .dish_rate{
    margin: 5px 15px;
}

.dish_description {  
    display: -webkit-box;  
    -webkit-line-clamp: 3; /* Количество отображаемых строк */  
    -webkit-box-orient: vertical;  
    overflow: hidden;  
    text-overflow: ellipsis;  
}

.dish_rate{
    display:flex;
    width:100%;
}

.dish_rate_star img{
    display:block;
    width:25px;
}

.new_dish_markers{
    display:block;
}

.new_dish_marker{
    display:flex;
    margin-top:5px;
}

.new_dish_marker img{
    width:25px;
}

.new_dish_marker p{
    margin-top:5px;
    margin-left:10px;
    margin-right:10px;
}

#dish_description{
    width:400px;
    height:70px;
}

.menu_inner{
    width:100%;
    min-height:700px;
    background-color:#fff;
    padding: 10px;
}


.spoiler-titlem{
    box-sizing: border-box;
    border-radius:7px;
    border:#870D39 2px solid;
    padding:8px;
    width:230px;
    background-color:#F6F6F6;
    cursor:pointer;
    margin-bottom:10px;
    margin-left:5px;
}

.menu_category{
    margin-left:5px;
    width:200px;
    height:35px;
    border:#870D39 2px solid;
    background-color:#F6F6F6;
    cursor:pointer;
    box-sizing: border-box;
    border-radius:7px;
    padding-left:5px;
}

input[type="radio"]:checked {
    accent-color: #870D39; 
}

#canvas{
    width: 600px;
    height: 450px;
    position:relative;
    box-sizing:border-box;
    overflow:hidden;
    justify-content:center;
    background-size: contain; 
    background-repeat: no-repeat;
    z-index:996;

}

#canvas_inner{
    width: 600px;
    height: 450px;
    position:relative;
    box-sizing:border-box;
    overflow:hidden;
    justify-content:center;
    opacity:1;
    z-index:997;

}

.rectangle{
    border: 1px solid #80726F;
    position:absolute;
    background-color:rgba(128, 114, 111, 0.5);
    z-index:998;
}

.edit_category{
    position: absolute;
    width:30px;
    height:30px;
    top:5px;
    left:130px;
    border: 2px solid #fff;
    border-radius:50px;
}

.edit_category:hover{
    border: 2px solid red;
}

.edit_item_warning{
    width:32px;
    height:32px;
    border: 2px solid #fff;
    border-radius:50px;
}

.edit_item_warning:hover{
    border: 2px solid red;
}

#floormap_table_desc{
    display:none;
}

.spoiler-title_bis{
    display: flex;
    align-items: center;
    height:34px;
    position: relative;
    cursor: pointer;
    transition: 300ms ease all;
    text-decoration:none;
    color: #554B51;
    padding-left:10px;
}

.spoiler-title_bis:hover{
    color:#F3EDE3;
    background-color:#80726F;
    border-radius:7px;
}

.small_icon img{
    width:28px;
    height:28px;
    margin-right:10px;
}

.form_room_image img{
    height:auto;
    width:250px;
    
}